- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#body.BatchCreateEvaluationCasesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#body.aspect)
- [CreateEvaluationCaseRequest](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#CreateEvaluationCaseRequest)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#CreateEvaluationCaseRequest.SCHEMA_REPRESENTATION)

Batch creates EvaluationCases.

### HTTP request

`POST https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/evaluationCases:batchCreate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource shared by all evaluation cases being created. Format: projects/{project}/locations/{location}/brands/{brand} If this is set, the parent of all of the evaluation cases specified in `requests` must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#CreateEvaluationCaseRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#CreateEvaluationCaseRequest`)`` Required. The request message specifying the resources to create. A maximum of 1000 evaluation cases can be created in a batch. |

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchCreate#google.cloud.foodorderingaiagent.v1beta.MenuService.BatchCreateEvaluationCases`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "evaluationCases": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases#EvaluationCase`) } ] } ``` |

| Fields ||
|---|---|
| `evaluationCases[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases#EvaluationCase`)`` EvaluationCases created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## CreateEvaluationCaseRequest

Request message for `https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/create#google.cloud.foodorderingaiagent.v1beta.MenuService.CreateEvaluationCase`.

| JSON representation |
|---|
| ``` { "parent": string, "evaluationCase": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases#EvaluationCase`) }, "evaluationCaseId": string } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent brand, which owns this collection of evaluation cases. Format: projects/{project}/locations/{location}/brands/{brand} |
| `evaluationCase` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases#EvaluationCase`)`` Required. The evaluation case to create. |
| `evaluationCaseId` | `string` Optional. The ID to use for the evaluation case, which will become the final component of the evaluation case's resource name. This value should only contain lower-case letters, numbers, and hyphen, with the first and last character a letter or a number, and a 63 character maximum. |